com.tibbo.aggregate.common.server

## Class StoreContextConstants

- java.lang.Object
- - com.tibbo.aggregate.common.server.StoreContextConstants

-     public class StoreContextConstants
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCESS_CONTROL`
    `static java.lang.String` | `BUILDING_AUTOMATION`
    `static java.lang.String` | `CLIENT`
    `static java.lang.String` | `DATA_CENTER_SUPERVISION`
    `static java.lang.String` | `DEVICE_SERVER_MANAGEMENT_EXTENSION`
    `static java.lang.String` | `F_CHECK_UPDATE`
    `static java.lang.String` | `F_GET_CONTENT_ARCHIVE`
    `static java.lang.String` | `F_GET_MODULE_DEPENDENCIES`
    `static java.lang.String` | `F_GET_MODULES`
    `static java.lang.String` | `F_GET_SELECTION_MODULES`
    `static java.lang.String` | `FIF_GET_MODULE_ARCHIVE_ID`
    `static java.lang.String` | `FIF_GET_MODULE_DEPENDENCIES_ID`
    `static java.lang.String` | `FIF_GET_MODULE_DEPENDENCIES_VERSION`
    `static TableFormat` | `FIFT_GET_MODULE_ARCHIVE`
    `static TableFormat` | `FIFT_GET_MODULE_DEPENDENCIES`
    `static java.lang.String` | `FLEET_MANAGMENT`
    `static java.lang.String` | `FOF_GET_CONTENT_ARCHIVE_DATA`
    `static java.lang.String` | `FOF_GET_MODULE_DEPENDENCIES_ID`
    `static java.lang.String` | `FOF_GET_MODULE_DEPENDENCIES_VERSION`
    `static java.lang.String` | `FOF_GET_SELECTION_MODULES_DESCRIPTION`
    `static java.lang.String` | `FOF_GET_SELECTION_MODULES_VALUE`
    `static TableFormat` | `FOFT_GET_CONTENT_ARCHIVE`
    `static TableFormat` | `FOFT_GET_MODULE_DEPENDENCIES`
    `static TableFormat` | `FOFT_GET_SELECTION_MODULES`
    `static java.lang.String` | `IOT_PLATFORM`
    `static java.lang.String` | `METER_READING`
    `static java.lang.String` | `MYSQL_FOR_WINDOWS`
    `static java.lang.String` | `NETWORK_MANAGMENT`
    `static java.lang.String` | `OFFLINE_DOCUMENTATION`
    `static java.lang.String` | `PLUGIN_STORE_SERVER_ID`
    `static java.lang.String` | `REPORT_EDITOR`
    `static java.lang.String` | `SCADA_HMI`
    `static java.lang.String` | `STORE_PATH`
    `static java.lang.String` | `TIME_AND_ATTENDANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoreContextConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IOT_PLATFORM

          public static final java.lang.String IOT_PLATFORM

      See Also:
        Constant Field Values

    - #### NETWORK_MANAGMENT

          public static final java.lang.String NETWORK_MANAGMENT

      See Also:
        Constant Field Values

    - #### SCADA_HMI

          public static final java.lang.String SCADA_HMI

      See Also:
        Constant Field Values

    - #### DATA_CENTER_SUPERVISION

          public static final java.lang.String DATA_CENTER_SUPERVISION

      See Also:
        Constant Field Values

    - #### METER_READING

          public static final java.lang.String METER_READING

      See Also:
        Constant Field Values

    - #### FLEET_MANAGMENT

          public static final java.lang.String FLEET_MANAGMENT

      See Also:
        Constant Field Values

    - #### TIME_AND_ATTENDANCE

          public static final java.lang.String TIME_AND_ATTENDANCE

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL

          public static final java.lang.String ACCESS_CONTROL

      See Also:
        Constant Field Values

    - #### DEVICE_SERVER_MANAGEMENT_EXTENSION

          public static final java.lang.String DEVICE_SERVER_MANAGEMENT_EXTENSION

      See Also:
        Constant Field Values

    - #### OFFLINE_DOCUMENTATION

          public static final java.lang.String OFFLINE_DOCUMENTATION

      See Also:
        Constant Field Values

    - #### CLIENT

          public static final java.lang.String CLIENT

      See Also:
        Constant Field Values

    - #### MYSQL_FOR_WINDOWS

          public static final java.lang.String MYSQL_FOR_WINDOWS

      See Also:
        Constant Field Values

    - #### BUILDING_AUTOMATION

          public static final java.lang.String BUILDING_AUTOMATION

      See Also:
        Constant Field Values

    - #### REPORT_EDITOR

          public static final java.lang.String REPORT_EDITOR

      See Also:
        Constant Field Values

    - #### STORE_PATH

          public static final java.lang.String STORE_PATH

      See Also:
        Constant Field Values

    - #### PLUGIN_STORE_SERVER_ID

          public static final java.lang.String PLUGIN_STORE_SERVER_ID

      See Also:
        Constant Field Values

    - #### F_GET_MODULE_DEPENDENCIES

          public static final java.lang.String F_GET_MODULE_DEPENDENCIES

      See Also:
        Constant Field Values

    - #### F_GET_MODULES

          public static final java.lang.String F_GET_MODULES

      See Also:
        Constant Field Values

    - #### F_GET_CONTENT_ARCHIVE

          public static final java.lang.String F_GET_CONTENT_ARCHIVE

      See Also:
        Constant Field Values

    - #### F_GET_SELECTION_MODULES

          public static final java.lang.String F_GET_SELECTION_MODULES

      See Also:
        Constant Field Values

    - #### FIF_GET_MODULE_DEPENDENCIES_ID

          public static final java.lang.String FIF_GET_MODULE_DEPENDENCIES_ID

      See Also:
        Constant Field Values

    - #### FIF_GET_MODULE_DEPENDENCIES_VERSION

          public static final java.lang.String FIF_GET_MODULE_DEPENDENCIES_VERSION

      See Also:
        Constant Field Values

    - #### FIFT_GET_MODULE_DEPENDENCIES

          public static final TableFormat FIFT_GET_MODULE_DEPENDENCIES

    - #### F_CHECK_UPDATE

          public static final java.lang.String F_CHECK_UPDATE

      See Also:
        Constant Field Values

    - #### FOF_GET_MODULE_DEPENDENCIES_ID

          public static final java.lang.String FOF_GET_MODULE_DEPENDENCIES_ID

      See Also:
        Constant Field Values

    - #### FOF_GET_MODULE_DEPENDENCIES_VERSION

          public static final java.lang.String FOF_GET_MODULE_DEPENDENCIES_VERSION

      See Also:
        Constant Field Values

    - #### FOFT_GET_MODULE_DEPENDENCIES

          public static final TableFormat FOFT_GET_MODULE_DEPENDENCIES

    - #### FIF_GET_MODULE_ARCHIVE_ID

          public static final java.lang.String FIF_GET_MODULE_ARCHIVE_ID

      See Also:
        Constant Field Values

    - #### FIFT_GET_MODULE_ARCHIVE

          public static final TableFormat FIFT_GET_MODULE_ARCHIVE

    - #### FOF_GET_CONTENT_ARCHIVE_DATA

          public static final java.lang.String FOF_GET_CONTENT_ARCHIVE_DATA

      See Also:
        Constant Field Values

    - #### FOFT_GET_CONTENT_ARCHIVE

          public static final TableFormat FOFT_GET_CONTENT_ARCHIVE

    - #### FOF_GET_SELECTION_MODULES_VALUE

          public static final java.lang.String FOF_GET_SELECTION_MODULES_VALUE

      See Also:
        Constant Field Values

    - #### FOF_GET_SELECTION_MODULES_DESCRIPTION

          public static final java.lang.String FOF_GET_SELECTION_MODULES_DESCRIPTION

      See Also:
        Constant Field Values

    - #### FOFT_GET_SELECTION_MODULES

          public static final TableFormat FOFT_GET_SELECTION_MODULES

  - ### Constructor Detail

    - #### StoreContextConstants

          public StoreContextConstants()